Package org.apache.commons.io.channels

# Class FileChannels

java.lang.Object
org.apache.commons.io.channels.FileChannels

public final class FileChannels extends Object
Works with `FileChannel`.

Since:
  2.15.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `contentEquals(FileChannel channel1, FileChannel channel2, int bufferCapacity)`
  Deprecated.
  Use `contentEquals(SeekableByteChannel, SeekableByteChannel, int)`.
  `static boolean`
  `contentEquals(ReadableByteChannel channel1, ReadableByteChannel channel2, int bufferCapacity)`
  Tests if two readable byte channel contents are equal starting at their respective current positions.
  `static boolean`
  `contentEquals(SeekableByteChannel channel1, SeekableByteChannel channel2, int bufferCapacity)`
  Tests if two seekable byte channel contents are equal starting at their respective current positions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### contentEquals

    @Deprecated public static boolean contentEquals(FileChannel channel1, FileChannel channel2, int bufferCapacity) throws IOException
    Deprecated.
    Use `contentEquals(SeekableByteChannel, SeekableByteChannel, int)`.
    Tests if two file channel contents are equal starting at their respective current positions.
    Parameters:
      `channel1` - A file channel.
      `channel2` - Another file channel.
      `bufferCapacity` - The two internal buffer capacities, in bytes.
    Returns:
      true if the contents of both RandomAccessFiles are equal, false otherwise.
    Throws:
      `IOException` - if an I/O error occurs.

  - ### contentEquals

    public static boolean contentEquals(ReadableByteChannel channel1, ReadableByteChannel channel2, int bufferCapacity) throws IOException
    Tests if two readable byte channel contents are equal starting at their respective current positions.
    Parameters:
      `channel1` - A readable byte channel.
      `channel2` - Another readable byte channel.
      `bufferCapacity` - The two internal buffer capacities, in bytes.
    Returns:
      true if the contents of both RandomAccessFiles are equal, false otherwise.
    Throws:
      `IOException` - if an I/O error occurs or the timeout is met.
    Since:
      2.19.0

  - ### contentEquals

    public static boolean contentEquals(SeekableByteChannel channel1, SeekableByteChannel channel2, int bufferCapacity) throws IOException
    Tests if two seekable byte channel contents are equal starting at their respective current positions.

    If the two channels have different sizes, no content comparison takes place, and this method returns false.

    Parameters:
      `channel1` - A seekable byte channel.
      `channel2` - Another seekable byte channel.
      `bufferCapacity` - The two internal buffer capacities, in bytes.
    Returns:
      true if the contents of both RandomAccessFiles are equal, false otherwise.
    Throws:
      `IOException` - if an I/O error occurs or the timeout is met.
    Since:
      2.19.0